[Pkg-jed-commit] r488 - jed-extra/trunk/debian

Rafael Laboissiere rafael at alioth.debian.org
Thu Jan 11 15:26:44 CET 2007


Author: rafael
Date: 2007-01-11 15:26:44 +0100 (Thu, 11 Jan 2007)
New Revision: 488

Added:
   jed-extra/trunk/debian/config
   jed-extra/trunk/debian/templates
Modified:
   jed-extra/trunk/debian/changelog
   jed-extra/trunk/debian/control
   jed-extra/trunk/debian/rules
Log:
Add a debconf question for removing old files in /etc/jed-init.d which were
changed by the users.  This is essentially copied almost as-is from the
jed-common package and is not yet fully tested.  Also, it must adapted for
i18n.  I hope Jörg will step forward to do it :-)


Modified: jed-extra/trunk/debian/changelog
===================================================================
--- jed-extra/trunk/debian/changelog	2007-01-11 14:20:26 UTC (rev 487)
+++ jed-extra/trunk/debian/changelog	2007-01-11 14:26:44 UTC (rev 488)
@@ -1,3 +1,15 @@
+jed-extra (2.2.1-2) unstable; urgency=low
+
+  NOT YET RELEASED!
+
+  * debian/config, debian/templates: Added debconf question for
+    removing old files in /etc/jed-init.d/ which were changed by the
+    user [RL]
+  * debian.control: Depends on debconf [RL]
+  * debian/rules: Call dh_installdebconf
+
+ --
+
 jed-extra (2.2.1-1) unstable; urgency=low
 
   New upstream release [GM]

Added: jed-extra/trunk/debian/config
===================================================================
--- jed-extra/trunk/debian/config	2007-01-11 14:20:26 UTC (rev 487)
+++ jed-extra/trunk/debian/config	2007-01-11 14:26:44 UTC (rev 488)
@@ -0,0 +1,49 @@
+#!/bin/sh
+
+set -e
+
+. /usr/share/debconf/confmodule
+
+# md5sums from revision 21 to 50
+file_1=01df57bfb7f4af02082086abfe6ab406:/etc/jed-init.d/50jed-extra.sl
+file_2=9d2acbacef0953e7bb112a134035c822:/etc/jed-init.d/55ispell.sl
+	
+# md5sums from revision 51 to 97
+file_3=6ec18c9842df332f7b40e516491b6e1c:/etc/jed-init.d/05home-lib.sl
+file_4=16824865e1cd8d3fd12c87fdad8bc7fb:/etc/jed-init.d/50jed-extra.sl
+file_5=75dcb623b01d51288a55dd146df5b631:/etc/jed-init.d/55ispell.sl
+		    
+# md5sums from revision 98 to 99:
+file_6=3e19363a2115d023fc25687278f237b6:/etc/jed-init.d/50jed-extra.sl
+
+# (starting at SVN revision 100, the /etc/jed-init.d/ was not used anymore)
+
+changed=false
+
+for n in `seq 1 6` ; do
+    eval "tmp=\$file_$n"
+    md5sum=`echo $tmp | cut -d: -f1`
+    file=`echo $tmp | cut -d: -f2` 
+    if [ -e $file ] ; then
+        if echo "$md5sum  $file" | md5sum -c >/dev/null 2>&1 ; then
+	    # The configuration file was not changed by the user: remove it
+	    # silently
+	    rm -f $file
+	else
+	    changed=true
+	fi
+    fi
+done
+
+if $changed = true ; then
+    db_fset jed-extra/rm-site-defaults seen false
+    db_input medium jed-extra/rm-site-defaults || true
+    db_go
+    db_get jed-extra/rm-site-defaults
+    if [ "$RET" = true ] ; then
+        for n in `seq 1 6` ; do
+            eval "tmp=\$file_$n"
+            rm -f `echo $tmp | cut -d: -f2` 
+	done
+    fi    
+fi

Modified: jed-extra/trunk/debian/control
===================================================================
--- jed-extra/trunk/debian/control	2007-01-11 14:20:26 UTC (rev 487)
+++ jed-extra/trunk/debian/control	2007-01-11 14:26:44 UTC (rev 488)
@@ -8,6 +8,7 @@
 
 Package: jed-extra
 Architecture: all
+Depends: debconf | debconf-2.0
 Recommends: jed (>= 0.99.18) | xjed (>= 0.99.18)
 Enhances: jed, xjed
 Suggests: slsh, slang-gdbm, dict, slang-curl, www-browser, a2ps

Modified: jed-extra/trunk/debian/rules
===================================================================
--- jed-extra/trunk/debian/rules	2007-01-11 14:20:26 UTC (rev 487)
+++ jed-extra/trunk/debian/rules	2007-01-11 14:26:44 UTC (rev 488)
@@ -96,7 +96,7 @@
 
 	chmod +x $(debroot)/usr/share/jed/compile/jed-extra
 
-	#dh_installdebconf
+	dh_installdebconf
 	
 	dh_installchangelogs
 	dh_compress --exclude=.sl

Added: jed-extra/trunk/debian/templates
===================================================================
--- jed-extra/trunk/debian/templates	2007-01-11 14:20:26 UTC (rev 487)
+++ jed-extra/trunk/debian/templates	2007-01-11 14:26:44 UTC (rev 488)
@@ -0,0 +1,11 @@
+Template: jed-extra/rm-site-defaults
+Type: boolean
+Default: false
+_Description: Remove old files in /etc/jed-init.d/?
+ In the past, the jed-extra package put configuration files in
+ /etc/jed-init.d/, namely 05home-lib.sl, 50jed-extra.sl, and
+ 55ispell.sl.  These files are not used anymore and should be deleted
+ from the file system.
+ .
+ It seems you have modified one of these files, because one of their MD5 
+ sums differ from the original values.




More information about the Pkg-jed-commit mailing list